diff --git a/build_config/opencore_dynamic/Android_omx_aacdec_sharedlibrary.mk b/build_config/opencore_dynamic/Android_omx_aacdec_sharedlibrary.mk
index 9d6ed37..922b2b6 100644
--- a/build_config/opencore_dynamic/Android_omx_aacdec_sharedlibrary.mk
+++ b/build_config/opencore_dynamic/Android_omx_aacdec_sharedlibrary.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libomx_baseclass_lib \
 	libomx_aac_component_lib \
  	libpv_aac_dec
 
diff --git a/build_config/opencore_dynamic/Android_omx_amrdec_sharedlibrary.mk b/build_config/opencore_dynamic/Android_omx_amrdec_sharedlibrary.mk
index 200925b..74c0c76 100644
--- a/build_config/opencore_dynamic/Android_omx_amrdec_sharedlibrary.mk
+++ b/build_config/opencore_dynamic/Android_omx_amrdec_sharedlibrary.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libomx_baseclass_lib \
 	libomx_amr_component_lib \
  	libpvdecoder_gsmamr \
  	libpvamrwbdecoder
diff --git a/build_config/opencore_dynamic/Android_omx_amrenc_sharedlibrary.mk b/build_config/opencore_dynamic/Android_omx_amrenc_sharedlibrary.mk
index 5405cae..c830e7c 100644
--- a/build_config/opencore_dynamic/Android_omx_amrenc_sharedlibrary.mk
+++ b/build_config/opencore_dynamic/Android_omx_amrenc_sharedlibrary.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libomx_baseclass_lib \
 	libomx_amrenc_component_lib \
  	libpvencoder_gsmamr
 
diff --git a/build_config/opencore_dynamic/Android_omx_avcdec_sharedlibrary.mk b/build_config/opencore_dynamic/Android_omx_avcdec_sharedlibrary.mk
index b852cb7..d973880 100644
--- a/build_config/opencore_dynamic/Android_omx_avcdec_sharedlibrary.mk
+++ b/build_config/opencore_dynamic/Android_omx_avcdec_sharedlibrary.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libomx_baseclass_lib \
 	libomx_avc_component_lib \
  	libpvavcdecoder
 
diff --git a/build_config/opencore_dynamic/Android_omx_avcenc_sharedlibrary.mk b/build_config/opencore_dynamic/Android_omx_avcenc_sharedlibrary.mk
index 243d6d2..02e61b5 100644
--- a/build_config/opencore_dynamic/Android_omx_avcenc_sharedlibrary.mk
+++ b/build_config/opencore_dynamic/Android_omx_avcenc_sharedlibrary.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libomx_baseclass_lib \
 	libomx_avcenc_component_lib \
  	libpvavch264enc
 
diff --git a/build_config/opencore_dynamic/Android_omx_m4vdec_sharedlibrary.mk b/build_config/opencore_dynamic/Android_omx_m4vdec_sharedlibrary.mk
index 9e6d0c5..e5467f9 100644
--- a/build_config/opencore_dynamic/Android_omx_m4vdec_sharedlibrary.mk
+++ b/build_config/opencore_dynamic/Android_omx_m4vdec_sharedlibrary.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libomx_baseclass_lib \
 	libomx_m4v_component_lib \
  	libpvmp4decoder
 
diff --git a/build_config/opencore_dynamic/Android_omx_m4venc_sharedlibrary.mk b/build_config/opencore_dynamic/Android_omx_m4venc_sharedlibrary.mk
index 9f2da95..491484f 100644
--- a/build_config/opencore_dynamic/Android_omx_m4venc_sharedlibrary.mk
+++ b/build_config/opencore_dynamic/Android_omx_m4venc_sharedlibrary.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libomx_baseclass_lib \
 	libomx_m4venc_component_lib \
  	libpvm4vencoder
 
diff --git a/build_config/opencore_dynamic/Android_omx_mp3dec_sharedlibrary.mk b/build_config/opencore_dynamic/Android_omx_mp3dec_sharedlibrary.mk
index 4222ec0..976d6de 100644
--- a/build_config/opencore_dynamic/Android_omx_mp3dec_sharedlibrary.mk
+++ b/build_config/opencore_dynamic/Android_omx_mp3dec_sharedlibrary.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libomx_baseclass_lib \
 	libomx_mp3_component_lib \
  	libpvmp3
 
diff --git a/build_config/opencore_dynamic/Android_opencore_author.mk b/build_config/opencore_dynamic/Android_opencore_author.mk
index f38c8f3..0d35476 100644
--- a/build_config/opencore_dynamic/Android_opencore_author.mk
+++ b/build_config/opencore_dynamic/Android_opencore_author.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libpvmf \
 	libpvmp4ffcomposer \
  	libpvmp4ffcomposernode \
  	libpvauthorengine
diff --git a/build_config/opencore_dynamic/Android_opencore_download.mk b/build_config/opencore_dynamic/Android_opencore_download.mk
index 05af6bd..2e9a494 100644
--- a/build_config/opencore_dynamic/Android_opencore_download.mk
+++ b/build_config/opencore_dynamic/Android_opencore_download.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libpvmf \
 	libpvdownloadmanagernode \
  	libpvdownloadinterface
 
diff --git a/build_config/opencore_dynamic/Android_opencore_downloadreg.mk b/build_config/opencore_dynamic/Android_opencore_downloadreg.mk
index b97300a..72067e8 100644
--- a/build_config/opencore_dynamic/Android_opencore_downloadreg.mk
+++ b/build_config/opencore_dynamic/Android_opencore_downloadreg.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libpvmf \
  	libpvdownloadreginterface
 
 LOCAL_MODULE := libopencore_downloadreg
diff --git a/build_config/opencore_dynamic/Android_opencore_mp4local.mk b/build_config/opencore_dynamic/Android_opencore_mp4local.mk
index f0e8a97..c91be07 100644
--- a/build_config/opencore_dynamic/Android_opencore_mp4local.mk
+++ b/build_config/opencore_dynamic/Android_opencore_mp4local.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libpvmf \
 	libpvmp4interface \
  	libpvmp4ffparsernode
 
diff --git a/build_config/opencore_dynamic/Android_opencore_mp4localreg.mk b/build_config/opencore_dynamic/Android_opencore_mp4localreg.mk
index bd9d067..c0062ae 100644
--- a/build_config/opencore_dynamic/Android_opencore_mp4localreg.mk
+++ b/build_config/opencore_dynamic/Android_opencore_mp4localreg.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libpvmf \
 	libpvmp4reginterface \
  	libpvmp4ffrecognizer
 
diff --git a/build_config/opencore_dynamic/Android_opencore_net_support.mk b/build_config/opencore_dynamic/Android_opencore_net_support.mk
index d1f82b5..084e205 100644
--- a/build_config/opencore_dynamic/Android_opencore_net_support.mk
+++ b/build_config/opencore_dynamic/Android_opencore_net_support.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+        libpvmf \
 	libpvsocketnode \
  	libpv_http_parcom \
  	libprotocolenginenode_base \
diff --git a/build_config/opencore_dynamic/Android_opencore_player.mk b/build_config/opencore_dynamic/Android_opencore_player.mk
index 1a35ee8..92f4d40 100644
--- a/build_config/opencore_dynamic/Android_opencore_player.mk
+++ b/build_config/opencore_dynamic/Android_opencore_player.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libpvmf \
 	libcpm \
  	libpvpvxparser \
  	libpvid3parcom \
diff --git a/build_config/opencore_dynamic/Android_opencore_rtsp.mk b/build_config/opencore_dynamic/Android_opencore_rtsp.mk
index 9e2aed4..13817d2 100644
--- a/build_config/opencore_dynamic/Android_opencore_rtsp.mk
+++ b/build_config/opencore_dynamic/Android_opencore_rtsp.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+        libpvmf \
 	libpvrtspinterface \
  	libpvstreamingmanagernode \
  	libpv_rtsp_parcom \
diff --git a/build_config/opencore_dynamic/Android_opencore_rtspreg.mk b/build_config/opencore_dynamic/Android_opencore_rtspreg.mk
index c21c971..80d7b76 100644
--- a/build_config/opencore_dynamic/Android_opencore_rtspreg.mk
+++ b/build_config/opencore_dynamic/Android_opencore_rtspreg.mk
@@ -2,6 +2,7 @@ LOCAL_PATH := $(call my-dir)
 include $(CLEAR_VARS)
 
 LOCAL_WHOLE_STATIC_LIBRARIES := \
+	libpvmf \
  	libpvrtspreginterface
 
 LOCAL_MODULE := libopencore_rtspreg
diff --git a/codecs_v2/omx/omx_amrenc/Android.mk b/codecs_v2/omx/omx_amrenc/Android.mk
index ed83768..30290cd 100644
--- a/codecs_v2/omx/omx_amrenc/Android.mk
+++ b/codecs_v2/omx/omx_amrenc/Android.mk
@@ -12,7 +12,7 @@ LOCAL_CFLAGS :=   $(PV_CFLAGS)
 
 LOCAL_ARM_MODE := arm
 
-LOCAL_STATIC_LIBRARIES := 
+LOCAL_STATIC_LIBRARIES := -lomx_baseclass_lib
 
 LOCAL_SHARED_LIBRARIES := 
 
diff --git a/nodes/pvsocketnode/Android.mk b/nodes/pvsocketnode/Android.mk
index 883d8b3..f57255d 100644
--- a/nodes/pvsocketnode/Android.mk
+++ b/nodes/pvsocketnode/Android.mk
@@ -14,7 +14,7 @@ LOCAL_CFLAGS :=   $(PV_CFLAGS)
 
 
 
-LOCAL_STATIC_LIBRARIES := 
+LOCAL_STATIC_LIBRARIES :=
 
 LOCAL_SHARED_LIBRARIES := 
 
diff --git a/nodes/pvsocketnode/include/pvmf_socket_node.h b/nodes/pvsocketnode/include/pvmf_socket_node.h
index 233e8c3..ce82019 100644
--- a/nodes/pvsocketnode/include/pvmf_socket_node.h
+++ b/nodes/pvsocketnode/include/pvmf_socket_node.h
@@ -726,8 +726,8 @@ class PVMFSocketNode
 {
     public:
         OSCL_IMPORT_REF PVMFSocketNode(int32 aPriority);
+        
         OSCL_IMPORT_REF ~PVMFSocketNode();
-
         //************ begin OsclSocketObserver
         OSCL_IMPORT_REF void HandleSocketEvent(int32 aId, TPVSocketFxn aFxn, TPVSocketEvent aEvent, int32 aError);
         //************ end OsclSocketObserver
diff --git a/nodes/streaming/streamingmanager/Android.mk b/nodes/streaming/streamingmanager/Android.mk
index 04b22ee..110fff1 100644
--- a/nodes/streaming/streamingmanager/Android.mk
+++ b/nodes/streaming/streamingmanager/Android.mk
@@ -19,7 +19,7 @@ LOCAL_CFLAGS :=   $(PV_CFLAGS)
 
 
 
-LOCAL_STATIC_LIBRARIES := 
+LOCAL_STATIC_LIBRARIES := libpvmf
 
 LOCAL_SHARED_LIBRARIES := 
 
diff --git a/pvmi/pvmf/include/pvmf_node_interface.h b/pvmi/pvmf/include/pvmf_node_interface.h
index 3d4558a..da7e35b 100644
--- a/pvmi/pvmf/include/pvmf_node_interface.h
+++ b/pvmi/pvmf/include/pvmf_node_interface.h
@@ -231,7 +231,6 @@ class PVMFPortActivityHandler
 class PVMFNodeInterface: public PVMFPortActivityHandler
 {
     public:
-
         virtual ~PVMFNodeInterface()
         {
             iSessions.clear();
